#!/bin/bash

svdrp="svdrpsend.pl"
commandNo=6

imdburl="http://german.imdb.com"
searchurl="http://german.imdb.com/find?s=tt&q="
tempout="/tmp/htmlout"
moviedata="/tmp/moviedata"

function getHTML()
{
	lynx -dump "$searchurl$1" > $tempout	
	titleurl=$(egrep -o '\/title\/tt[0-9]*\/' $tempout | head -1)
}

#get title of running programm
channel=$($svdrp chan | grep 250 | cut -d" " -f 2)
title=$($svdrp lste $channel now | grep 215-T | cut -d" " -f 2-| tr ' ' '+') 

#titles are 1. fulltitle 2. title before () 3. title in ()
titles="$title $(echo "$title" | cut -d"(" -f 1) $(echo "$title" | cut -d"(" -f 2 | tr ')' ' ')"

#get HTML
for try in $titles
do		
	getHTML $try;
	if [ "$titleurl" != "" ] 
	then 
		break
	fi;
done	
if [ "$titleurl" = "" ] 
then 
	dummy=$($svdrp mesg "No IMDb-Entry found")
	exit 1
fi;

lynx -dump "$imdburl$titleurl" > $tempout
>$moviedata
echo "IMDb-Page of   '$(grep 'IMDb >' $tempout | cut -d">" -f2-)'" >> $moviedata
awk '/^.+Overview/,/.*Message Boards.*/' $tempout | sed -e 's/\[[0-9a-zA-Z\.]*\]//g;/^$/d;s/_//g' | fmt -w65 | sed -e '/^$/d' >> $moviedata
sed -i 's/ *Overview$/\n------------------------------Overview------------------------------/' $moviedata
sed -i 's/ *Cast.*/\n------------------------------Cast------------------------------/' $moviedata
sed -i 's/ *Additional Details$/\n------------------------------Additional Details------------------------------/' $moviedata
sed -i 's/ *Fun Stuff$/\n------------------------------Fun Stuff------------------------------/' $moviedata
sed -i 's/ *User Comments.*/\n------------------------------User Comments------------------------------/' $moviedata
sed -i 's/mehr\.\.\.$//g;/.*Message Boards.*/d;/ *FAQ.*/d'  $moviedata


#let it be shown on OSD
dummy=$($svdrp hitk Commands)
dummy=$($svdrp hitk $commandNo)

#cleanup
rm $tempout $moviedata


